Create a service account.
curl --request POST \
--url https://api.revong.com/api/v1/accounts/createServiceAccount \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"mail": "<string>",
"ownerId": "<string>",
"metaData": {},
"advancedData": {}
}
'import requests
url = "https://api.revong.com/api/v1/accounts/createServiceAccount"
payload = {
"name": "<string>",
"mail": "<string>",
"ownerId": "<string>",
"metaData": {},
"advancedData": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
mail: '<string>',
ownerId: '<string>',
metaData: {},
advancedData: {}
})
};
fetch('https://api.revong.com/api/v1/accounts/createServiceAccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Accounts
Create a service account.
ROLES: USER_WRITE,USER_ADMIN USER: true SERVICE ACCOUNT: true
POST
/
api
/
v1
/
accounts
/
createServiceAccount
Create a service account.
Authorizations
Bearer token with Platform JWT token or API Key.
Body
application/json
You need to provide name of the user.
You can provide mail of external service account.
You can provide owner of the group, required if ownerType is assigned.
Owner type.
Available options:
USER, GROUP Response
OK.
⌘I

